
#import <appkit/appkit.h>

extern void XS3DrawTiledRect(NXRect *r,BOOL inversed);

@interface XS3View:View
{
    float alpha;
	float firstGRay;
	float lastGRay;
	BOOL isEnabled;
	int type;
	BOOL hasMoved;
	NXImage* centeredImage;
	
}
+ (BOOL)isUsingGradient;

- (NXImage *)loadImage:(const char*)filename ofType:(const char *)aType;
- (int)tag;
- (void)updateParameters;
- (void)setActivate:(BOOL)flag;
- (void)setType:(int)aType;
- (void)reDisplay;
- (void)fadeIn:(NXRect)aRect :(float)fromGray :(float)toGray :(int)direction;
- (void)fillRect:(NXRect)aRect fromColor:(NXColor)aColor :(float)start :(float)end :(float)angle;
- (void)setCenterdImage:(id)anImage;

@end

@interface XS3View(WindowDelegate)
- windowDidMove:sender;
@end