
#import <appkit/appkit.h>

@interface NX10String:Object
{
typedef enum _NX10ComparisonResult {
	NX10OrderedAscending,
	NX10OrderedSame,
	NX10OrderedDescending
} NX10ComparisonResult;

+ (NX10String *)stringWithCString:(const char *)aString;

- initWithCString:(const char *)aString;
- initWithCString:(const char *)aString length:(unsigned int)bytes;
- (id)copy;
- (char *)cString;
- (int)length;
- (char)characterAtIndex:(int)anIndex;
- (NX10ComparisonResult)compare:(NX10String *)aString;
- (NX10ComparisonResult)caseInsensitiveCompare:(NX10String *)aString;
- (void)setString:(const char *)aString;
- (NX10String *)lastPathComponent;
- (NX10String *)pathExtension;
- (NX10String *)lastPathComponentWithoutExtension;
- (NX10String *)stringByDeletingLastPathComponent;

@end

