
#import "VoicePrinter.h"
#import "XS3VoicePrintView.h"

@implementation VoicePrinter

- init
{
[super init];
messages=[self dictionnaryFromFile:"Localizable"];
	return self;
}

// set outlet to correct value before displaying
- (void)preferencesViewWillDisplay
{
[fftSpeedTF setIntValue:[self defaultSpeed]];
[fftSpeedSLIDER setIntValue:[self defaultSpeed]];
[refreshTitle setStringValue:[messages valueForStringKey:"REFRESH"]];
}

/* IB action, preferences */
//IBAction
- setFFTSpeed:sender
{
[self setDefaultSpeed:[sender intValue]];
[fftSpeedTF setIntValue:(int)[self defaultSpeed]];
	return self;
}

- (void)worksViewDidLoad
{
[[self worksView] setMessageTable:messages];
[[self worksView] resetStrings];
}

@end
