
#import <appkit/appkit.h>

#import "XS3View.h"

@interface XS3VoicePrintView:XS3View
{
    float	maxima[128];
    NXRect	myRects[128];
    NXRect	myRects2[128];
    float	blueValue;
    float	yellowValue;
    float	greenValue;
    int palette1;
    NXRect	paletteRect1;
    NXRect	precisionRect;
    int selection_mode;

	// table for localized string
	NXStringTable *msgTable;
	// string displayed
	char channelString[2][12];
	char precisionString[3][12];

    int precision;
    BOOL stereo;
	int pointCount;
}
- (void)setMessageTable:(NXStringTable *)aTable;
- (void)resetStrings;
- (void)chooseStereo:(BOOL)flag;
- (void)choosePrecision:(int)aPrecision;
- (void)resetInput;


@end
